JackTrip

Public Slots | Signals | Public Member Functions | List of all members
JackTripWorkerMessages Class Reference

`#include <JackTripWorkerMessages.h>`

Inheritance diagram for JackTripWorkerMessages:
[legend]
Collaboration diagram for JackTripWorkerMessages:
[legend]

## Public Slots
void | slotTest ()

## Signals
void | signalTest ()
void | signalStopEventLoop ()
| Signal to stop the event loop inside the JackTripWorker Thread. More...

## Public Member Functions
| JackTripWorkerMessages ()
virtual | ~JackTripWorkerMessages ()
void | play ()

## Constructor & Destructor Documentation

## ◆ JackTripWorkerMessages()

JackTripWorkerMessages::JackTripWorkerMessages | ( |  | ) |
| inline

## ◆ ~JackTripWorkerMessages()

virtual JackTripWorkerMessages::~JackTripWorkerMessages | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ play()

void JackTripWorkerMessages::play | ( |  | ) |
| inline

## ◆ signalStopEventLoop

void JackTripWorkerMessages::signalStopEventLoop | ( |  | ) |
| signal

Signal to stop the event loop inside the JackTripWorker Thread.

## ◆ signalTest

void JackTripWorkerMessages::signalTest | ( |  | ) |
| signal

## ◆ slotTest

void JackTripWorkerMessages::slotTest | ( |  | ) |
| inline slot

The documentation for this class was generated from the following files:

- src/JackTripWorkerMessages.h
- src/release/moc_JackTripWorkerMessages.cpp